package com.luojigou.product.intro

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import com.luojigou.product.R
import com.luojigou.product.base.BaseFragment

class IntroducePermissionManualFragment (private val host: Host) : BaseFragment() {
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_introduce_permission_manual, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val button = view.findViewById<Button>(R.id.btn_intro_request)
        button.setOnClickListener { host.manualRequestPermission() }
    }

    interface Host {
        fun manualRequestPermission()
    }
}