package com.luojigou.product.ble

sealed class XDBLEConnectStatus() {
    object Waiting : XDBLEConnectStatus()
    object Connecting : XDBLEConnectStatus()
    object Connected : XDBLEConnectStatus()
    object Disconnected : XDBLEConnectStatus()
    object Unknown : XDBLEConnectStatus()
    object Failure : XDBLEConnectStatus()
}